Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QCoreApplication

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QCoreApplication class reference

### Public Functions

- void lock ()
- bool locked ()
- bool tryLock ()
- void unlock ( bool wakeUpGui = true )

## Member Function Documentation

### void QCoreApplication::lock ()

In Qt 3, this function locked the Qt library mutex, allowing non-GUI threads to perform basic printing operations using QPainter.

In Qt 4, this is no longer supported, since painting is only supported from within a paint event handler. This function does nothing.

See also QWidget::paintEvent().

### bool QCoreApplication::locked ()

This function does nothing. It is there to keep old code working. It always returns false.

See lock() for details.

### bool QCoreApplication::tryLock ()

This function does nothing. It is there to keep old code working. It always returns false.

See lock() for details.

### void QCoreApplication::unlock ( bool wakeUpGui = true )

In Qt 3, this function unlocked the Qt library mutex. The mutex allowed non-GUI threads to perform basic printing operations using QPainter.

In Qt 4, this is no longer supported, since painting is only supported from within a paint event handler. This function does nothing.